org.modeshape.webdav.methods

## Class DeterminableMethod

- java.lang.Object
- - org.modeshape.webdav.methods.AbstractMethod
  - - org.modeshape.webdav.methods.DeterminableMethod

- All Implemented Interfaces:
    IMethodExecutor
  Direct Known Subclasses:
    DoOptions, DoUnlock

      public abstract class DeterminableMethod
      extends AbstractMethod

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.webdav.methods.AbstractMethod

      `BUF_SIZE, CREATION_DATE_FORMAT, DEFAULT_TIMEOUT, INFINITY, LAST_MODIFIED_DATE_FORMAT, LOCAL_DATE_FORMAT, logger, MAX_TIMEOUT, TEMP_TIMEOUT, TEMPORARY, URL_ENCODER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeterminableMethod()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static String` | `determineMethodsAllowed(StoredObject so)` Determines the methods normally allowed for the resource.

    - ### Methods inherited from class org.modeshape.webdav.methods.AbstractMethod

      `creationDateFormat, getCleanPath, getDepth, getDocumentBuilder, getETag, getLocalDateFormat, getLockIdFromIfHeader, getLockIdFromLockTokenHeader, getParentPath, getRelativePath, isUnlocked, lastModifiedDateFormat, rewriteUrl, sendReport`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.modeshape.webdav.IMethodExecutor

      `execute`

- - ### Constructor Detail

    - #### DeterminableMethod

          public DeterminableMethod()

  - ### Method Detail

    - #### determineMethodsAllowed

          protected static String determineMethodsAllowed(StoredObject so)

      Determines the methods normally allowed for the resource.
      Parameters:
        `so` - StoredObject representing the resource
      Returns:
        all allowed methods, separated by commas

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.